#ifndef blasdecl_H
#define blasdecl_H

#ifndef _WIN32
# define  DAXPY  daxpy_
# define  DSCAL  dscal_
# define  DGEMV  dgemv_
// Level 3
# define  DGESV  dgesv_   
# define  DGETRS dgetrs_  
# define  DGETRF dgetrf_  
# define  DGETRI dgetri_  
# define  DGEMM  dgemm_   
#endif
extern "C" {
  void DAXPY (int*, double*, double*, const int*, double*, const int*);
  void DSCAL (int*, double*, double*, const int*);
  void DGEMV (const char* trans, int* M, int* N,
              double* alpha,
              const double* A, int* lda,
              double* X, int* incX,
              double* beta,
              double* Y, int* incY);
// Level 3
  void DGESV(int *N, int *NRHS, double *A, int *LDA, 
             int *iPiv, double *B, int *LDB, int *INFO);

  void DGETRF(int *M, int *N, double *A, int *LDA, 
              int *iPiv, int *INFO);

  void DGETRS(char *TRANS, unsigned int sizeT,
              int *N, int *NRHS, double *A, int *LDA, 
              int *iPiv, double *B, int *LDB, int *INFO);

  void DGETRI(int *N, double *A, int *LDA, 
                     int *iPiv, double *Work, int *WORKL, int *INFO);

  void DGEMM(const char* transA, const char* transB, int* M, int* N, int* K,
             double* alpha,
             double* A, const int* lda,
             double* B, const int* ldb,
             double* beta,
             double* C, const int* ldc);
}

#endif // blasdecl_H
